
Infrastructure - Bug #4067

Validate Node stream in MultipartHttpServletRequest in register and updateNodeCapabilities.

2013-10-09 05:07 - Robert Waltz

Status: New Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

Copy the inputStream to a ByteArrayInputStream for schema validation before sending it to NodeRegistry in NodeController register

and updateNodeCapabilities methods.

History

#1 - 2014-07-29 22:04 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-2.0

- Product Version changed from 1.2.0 to *

#2 - 2014-10-01 21:28 - Dave Vieglais

- Due date set to 2014-10-01

- Target version set to Release Backlog

- Start date set to 2014-10-01

#3 - 2016-08-10 21:01 - Robert Waltz

- Milestone changed from CCI-2.0 to None
